REM 
REM $Header: /cvsroot/netacct-mysql/netacct-mysql/netacct-oracle.sql,v 1.1 2003/04/07 12:59:06 rweber Exp $
REM 
REM This script creates the necessary oracle table 
REM

CREATE TABLE traffic (
  id NUMBER  NOT NULL,
  ip VARCHAR2(15)  NOT NULL,
  time DATE NOT NULL,
  input  NUMBER NOT NULL,
  output NUMBER NOT NULL,
  peer_input NUMBER NOT NULL,
  peer_output NUMBER NOT NULL,
  direct_input NUMBER NOT NULL,
  direct_output NUMBER NOT NULL,
  local_input NUMBER NOT NULL,
  local_output NUMBER 
);

CREATE UNIQUE INDEX tridx1 on TRAFFIC(ip,time);
CREATE INDEX tridx2 on TRAFFIC(ip);
CREATE INDEX tridx3 on TRAFFIC(time);

